Passer au contenu principal
GET
https://{tenantDomain}/api/v2
/
branding
/
themes
/
{themeId}
Go
package example

import (
    client "github.com/auth0/go-auth0/management/client"
    option "github.com/auth0/go-auth0/management/option"
    context "context"
)

func do() () {
    client := client.NewClient(
        option.WithToken(
            "<token>",
        ),
    )
    client.Branding.Themes.Get(
        context.TODO(),
        "themeId",
    )
}
{
  "borders": {
    "button_border_radius": 5.5,
    "button_border_weight": 5,
    "buttons_style": "pill",
    "input_border_radius": 5,
    "input_border_weight": 1.5,
    "inputs_style": "pill",
    "show_widget_shadow": true,
    "widget_border_weight": 5,
    "widget_corner_radius": 25
  },
  "colors": {
    "body_text": "<string>",
    "error": "<string>",
    "header": "<string>",
    "icons": "<string>",
    "input_background": "<string>",
    "input_border": "<string>",
    "input_filled_text": "<string>",
    "input_labels_placeholders": "<string>",
    "links_focused_components": "<string>",
    "primary_button": "<string>",
    "primary_button_label": "<string>",
    "secondary_button_border": "<string>",
    "secondary_button_label": "<string>",
    "success": "<string>",
    "widget_background": "<string>",
    "widget_border": "<string>",
    "base_focus_color": "<string>",
    "base_hover_color": "<string>",
    "captcha_widget_theme": "auto",
    "read_only_background": "<string>"
  },
  "displayName": "<string>",
  "fonts": {
    "body_text": {
      "bold": true,
      "size": 75
    },
    "buttons_text": {
      "bold": true,
      "size": 75
    },
    "font_url": "<string>",
    "input_labels": {
      "bold": true,
      "size": 75
    },
    "links": {
      "bold": true,
      "size": 75
    },
    "links_style": "normal",
    "reference_text_size": 18,
    "subtitle": {
      "bold": true,
      "size": 75
    },
    "title": {
      "bold": true,
      "size": 112.5
    }
  },
  "page_background": {
    "background_color": "<string>",
    "background_image_url": "<string>",
    "page_layout": "center"
  },
  "themeId": "<string>",
  "widget": {
    "header_text_alignment": "center",
    "logo_height": 50.5,
    "logo_position": "center",
    "logo_url": "<string>",
    "social_buttons_layout": "bottom"
  }
}

Autorisations

Authorization
string
header
requis

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Paramètres de chemin

themeId
string
requis

The ID of the theme

Réponse

Branding theme successfully retrieved.

borders
object
requis
colors
object
requis
displayName
string
requis

Display Name

Maximum string length: 2048
Pattern: ^[^<>]*$
fonts
object
requis
page_background
object
requis
themeId
string
requis

Theme Id

Maximum string length: 32
Pattern: ^[a-zA-Z0-9]{32}$
widget
object
requis